Bug 1418009 - [Documentation] No mentioning of replacement for the deprecated arguments.
Summary: [Documentation] No mentioning of replacement for the deprecated arguments.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: async
: 10.0 (Newton)
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-31 15:23 UTC by Alexander Chuzhoy
Modified: 2017-02-25 04:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-25 04:19:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Chuzhoy 2017-01-31 15:23:42 UTC
[Documentation] No mentioning of replacement for the deprecated arguments.

Looking in table 5.2 under section "5.7. Setting Overcloud Parameters" here:
https://access.redhat.com/documentation/en/red-hat-openstack-platform/10/single/director-installation-and-usage#sect-Setting_Overcloud_Parameters


We see several deprecated arguments, which are marked "deprecated" in the description column. However, there's no reference to the replacement for the deprecated args.

Thanks.

Comment 2 Dan Macpherson 2017-02-22 05:27:41 UTC
Hi Sasha,

I moved the deprecated parameters into their own table and provided a mapping to the Heat template equivalents:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/director_installation_and_usage/chap-configuring_basic_overcloud_requirements_with_the_cli_tools#sect-Setting_Overcloud_Parameters

How does it look to you? Any further changes required?

Comment 3 Alexander Chuzhoy 2017-02-22 05:54:44 UTC
Hi Dan,

So the title of the table says:
Table 5.3. Deprecated Deployment Parameters

IMHO, it should be something like "Table 5.3. Mapping Deprecated Deployment Parameters to replacing Heat Template Parameters", otherwise people might skip the table thinking it only includes the deprecated stuff. Makes sense?

Comment 6 Alexander Chuzhoy 2017-02-24 18:37:01 UTC
Looks great!
Thanks.

Comment 7 Dan Macpherson 2017-02-25 04:19:29 UTC
Awesome. Thanks, Sasha!

Closing this BZ.


Note You need to log in before you can comment on or make changes to this bug.